
import 'package:json_annotation/json_annotation.dart';

part 'gradeAveragesSettings.g.dart';

@JsonSerializable()
class GradeAveragesSettings {
  bool useGradeSystem;
  bool askedForPreferredGradeSystem;
  List<int> inputs;

  GradeAveragesSettings({required this.useGradeSystem, required this.askedForPreferredGradeSystem, required this.inputs});

  factory GradeAveragesSettings.fromJson(Map<String, dynamic> json) => _$GradeAveragesSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$GradeAveragesSettingsToJson(this);
}